Skip to content
GitLab
Menu
Projects
Groups
Snippets
Loading...
Help
Help
Support
Community forum
Keyboard shortcuts
?
Submit feedback
Contribute to GitLab
Sign in
Toggle navigation
Menu
Open sidebar
OpenDAS
vllm_cscc
Commits
a2f14dc8
Unverified
Commit
a2f14dc8
authored
Jun 30, 2025
by
Chendi.Xue
Committed by
GitHub
Jul 01, 2025
Browse files
[CI][Intel Gaudi][vllm-Plugin]Add CI for hpu-plugin-v1-test (#20196)
Signed-off-by:
Chendi Xue
<
chendi.xue@intel.com
>
parent
92ee7baa
Changes
1
Show whitespace changes
Inline
Side-by-side
Showing
1 changed file
with
40 additions
and
8 deletions
+40
-8
.buildkite/scripts/hardware_ci/run-hpu-test.sh
.buildkite/scripts/hardware_ci/run-hpu-test.sh
+40
-8
No files found.
.buildkite/scripts/hardware_ci/run-hpu-test.sh
View file @
a2f14dc8
...
@@ -2,10 +2,34 @@
...
@@ -2,10 +2,34 @@
# This script build the CPU docker image and run the offline inference inside the container.
# This script build the CPU docker image and run the offline inference inside the container.
# It serves a sanity check for compilation and basic model usage.
# It serves a sanity check for compilation and basic model usage.
set
-ex
set
-ex
uo
pipefail
# Try building the docker image
# Try building the docker image
docker build
-t
hpu-test-env
-f
docker/Dockerfile.hpu
.
cat
<<
EOF
| docker build -t hpu-plugin-v1-test-env -f - .
FROM 1.22-413-pt2.7.1:latest
COPY ./ /workspace/vllm
WORKDIR /workspace/vllm
RUN pip install -v -r requirements/hpu.txt
RUN pip install git+https://github.com/vllm-project/vllm-gaudi.git
ENV no_proxy=localhost,127.0.0.1
ENV PT_HPU_ENABLE_LAZY_COLLECTIVES=true
RUN VLLM_TARGET_DEVICE=hpu python3 setup.py install
# install development dependencies (for testing)
RUN python3 -m pip install -e tests/vllm_test_utils
WORKDIR /workspace/
RUN git clone https://github.com/vllm-project/vllm-gaudi.git
RUN ln -s /workspace/vllm/tests && ln -s /workspace/vllm/examples && ln -s /workspace/vllm/benchmarks
EOF
# Setup cleanup
# Setup cleanup
# certain versions of HPU software stack have a bug that can
# certain versions of HPU software stack have a bug that can
...
@@ -14,13 +38,21 @@ docker build -t hpu-test-env -f docker/Dockerfile.hpu .
...
@@ -14,13 +38,21 @@ docker build -t hpu-test-env -f docker/Dockerfile.hpu .
# functions, while other platforms only need one remove_docker_container
# functions, while other platforms only need one remove_docker_container
# function.
# function.
EXITCODE
=
1
EXITCODE
=
1
remove_docker_containers
()
{
docker
rm
-f
hpu-test
||
true
;
docker
rm
-f
hpu-test-tp2
||
true
;
}
remove_docker_containers
()
{
docker
rm
-f
hpu-plugin-v1-test
||
true
;
}
remove_docker_containers_and_exit
()
{
remove_docker_containers
;
exit
$EXITCODE
;
}
trap
'remove_docker_containers; exit $EXITCODE;'
EXIT
trap
remove_docker_containers_and_exit EXIT
remove_docker_containers
remove_docker_containers
# Run the image and launch offline inference
echo
"Running HPU plugin v1 test"
docker run
--runtime
=
habana
--name
=
hpu-test
--network
=
host
-e
HABANA_VISIBLE_DEVICES
=
all
-e
VLLM_SKIP_WARMUP
=
true
--entrypoint
=
""
hpu-test-env python3 examples/offline_inference/basic/generate.py
--model
facebook/opt-125m
docker run
--rm
--runtime
=
habana
--name
=
hpu-plugin-v1-test
--network
=
host
\
docker run
--runtime
=
habana
--name
=
hpu-test-tp2
--network
=
host
-e
HABANA_VISIBLE_DEVICES
=
all
-e
VLLM_SKIP_WARMUP
=
true
--entrypoint
=
""
hpu-test-env python3 examples/offline_inference/basic/generate.py
--model
facebook/opt-125m
--tensor-parallel-size
2
-e
HABANA_VISIBLE_DEVICES
=
all
\
hpu-plugin-v1-test-env
\
/bin/bash
"/workspace/vllm-gaudi/tests/upstream_tests/ci_tests.sh"
EXITCODE
=
$?
EXITCODE
=
$?
if
[
$EXITCODE
-eq
0
]
;
then
echo
"Test with basic model passed"
else
echo
"Test with basic model FAILED with exit code:
$EXITCODE
"
>
&2
fi
# The trap will handle the container removal and final exit.
\ No newline at end of file
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
.
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment